<?php
namespace Factory;

class TaskPrecursor {

    private $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
    }

    public function createTaskPrecursor( $task,$taskPrecursor,$type,$typePrecursor = null) {
        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\TaskRelationship();
        $entity->setTask($task);
        $entity->setTaskRelationship($taskPrecursor);
        $entity->setType($type);
        $entity->setTypePrecursor($typePrecursor);

        return $entity;
    }

    public function updateTaskPrecursor(
        \Zeedhi\DevOps\Model\Projectmanagement\Entities\TaskRelationship $entity, $task,
        $taskPrecursor, $type, $typePrecursor = null
    )
    {
        $entity->setTask($task);
        $entity->setTaskRelationship($taskPrecursor);
        $entity->setType($type);
        $entity->setTypePrecursor($typePrecursor);

        return $entity;
    }
} 